/* FILE: mmdinit.h                 -*-Mode: c++-*-
 *
 * Commands added to Tcl/Tk interpreter (& supporting routines)
 *
 */

#ifndef _MMDINIT_H
#define _MMDINIT_H

/* End includes */     /* Optional directive to build.tcl */

int TclCommandsPreInit(char* exename,char* inputfile);
void TclCommandsCleanup(ClientData);
void Mmd_SaveServerFlag(INT2m value);
TCLCMD ChangeMesh;
TCLCMD DrawFrame;
TCLCMD GetFirstFileName;
TCLCMD GetFrameBox;
TCLCMD GetFrameRotation;
TCLCMD GetFrameScale;
TCLCMD GetMeshDescription;
TCLCMD GetMeshIncrement;
TCLCMD GetMeshName;
TCLCMD GetMeshTitle;
TCLCMD GetMeshType;
TCLCMD GetVecColor;
TCLCMD SetFrameRotation;
TCLCMD SetFrameScale;
TCLCMD SetMeshTitle;
TCLCMD UpdatePlotConfiguration;
TCLCMD WriteMesh;
int RegisterTclCommand(Tcl_Interp* interp,
		       const char* name,Tcl_CmdProc* cmd);
int Mmdisp_Init(Tcl_Interp* interp);

#endif // _MMDINIT_H
